Bug 245905 - www/py-django-star-ratings: Update to 0.9.1
Summary: www/py-django-star-ratings: Update to 0.9.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://github.com/wildfish/django-st...
Keywords:
Depends on:
Blocks: 245309
  Show dependency treegraph
 
Reported: 2020-04-25 10:31 UTC by Kai Knoblich
Modified: 2020-05-20 08:25 UTC (History)
2 users (show)

See Also:
ports: maintainer-feedback+


Attachments
py-django-star-ratings-0.9.1.patch (4.86 KB, patch)
2020-04-25 10:31 UTC, Kai Knoblich
ports: maintainer-approval+
kai: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2020-04-25 10:31:24 UTC
Created attachment 213779 [details]
py-django-star-ratings-0.9.1.patch

Hi,

attached is the patch that updates www/py-django-star-ratings to 0.9.1 and assigns it to Django 2.2 (current LTS release) because Django 1.11 is End-of-Life.

The patch also assigns the required dependencies to Django 2.2 and marks the repo-copied www/py-dj22-* variants as DEPRECATED.

QA:
~~~
- poudriere (11.3-RELEASE amd64 for each py36, py37 and py38 flavor) -> OK
- portlint -> OK
Comment 1 Kai Knoblich freebsd_committer 2020-04-25 10:34:36 UTC
Comment on attachment 213779 [details]
py-django-star-ratings-0.9.1.patch

^ Triage: Also asking for maintainer-approval from sunpoet@ because it affects

- py-dj22-django-model-utils (set as DEPRECATED)
- py-dj22-swapper (set as DEPRECATED)
- py-django-braces (assign to Django 2.2)
- py-django-model-utils (assign to Django 2.2)
- py-swapper (assign to Django 2.2)
Comment 2 Kai Knoblich freebsd_committer 2020-05-13 07:24:21 UTC
Comment on attachment 213779 [details]
py-django-star-ratings-0.9.1.patch

^ Triage: Setting remaining maintainer-approval to '+' due maintainer's timeout (14+ days)
Comment 3 commit-hook freebsd_committer 2020-05-13 07:55:21 UTC
A commit references this bug:

Author: kai
Date: Wed May 13 07:55:13 UTC 2020
New revision: 535087
URL: https://svnweb.freebsd.org/changeset/ports/535087

Log:
  www/py-django-star-ratings: Update to 0.9.1

  * Assign the port to Django 2.2 (current LTS release) as well because
    Django 1.11 is End-of-Life since April.

  * Do the same for its dependencies and bump PORTREVISION accordingly. [1]

  * Mark the repo-copied ports www/py-dj22-django-model-utils and
    py-dj22-swapper as deprecated because they're obsolete now. [1]

  Changelog:

  https://github.com/wildfish/django-star-ratings/blob/0.9.1/CHANGELOG.txt

  PR:		245905
  Approved by:	Kevin Golding (maintainer), maintainer timeout (14 days) [1]

Changes:
  head/www/py-dj22-django-model-utils/Makefile
  head/www/py-dj22-swapper/Makefile
  head/www/py-django-braces/Makefile
  head/www/py-django-model-utils/Makefile
  head/www/py-django-star-ratings/Makefile
  head/www/py-django-star-ratings/distinfo
  head/www/py-swapper/Makefile
Comment 4 Kai Knoblich freebsd_committer 2020-05-13 08:16:31 UTC
Committed, thanks!
Comment 5 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-05-14 15:51:37 UTC
(In reply to Kai Knoblich from comment #1)

> ^ Triage: Also asking for maintainer-approval from sunpoet@ because it affects

It seems no easy way to find this kind of PR (w/ maintainer-feedback flag) in Bugzilla.
I often use "My Bugs" link below to see my PRs but it does not contain such PR.
Comment 6 Kai Knoblich freebsd_committer 2020-05-20 08:25:21 UTC
(In reply to Sunpoet Po-Chuan Hsieh from comment #5)

Hm, that's interesting and good to know. I'll give you a direct heads-up the next time.